"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const Emitter_1 = __importDefault(require("licia/Emitter"));
const _1 = __importDefault(require("licia/$"));
const util_1 = require("./util");
class Component extends Emitter_1.default {
    constructor(container, { compName }) {
        super();
        this.compName = compName;
        this.c = util_1.classPrefix(compName);
        this.container = container;
        this.$container = _1.default(container);
        this.$container.addClass(`luna-${compName}`);
    }
    destroy() {
        this.$container.rmClass(`luna-${this.compName}`);
        this.$container.html('');
        this.emit('destroy');
        this.removeAllListeners();
    }
    find(selector) {
        return this.$container.find(this.c(selector));
    }
}
exports.default = Component;
